summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2016-07-30 21:41:26 +0200
committerMichał Górny <mgorny@gentoo.org>2016-07-30 21:49:46 +0200
commite976b508cc3477e6a9be310dd2996b4bb9919804 (patch)
treea0c31dacfe0cbb254e378545f1dbf1bf84e26601 /xfce-extra/xfce4-smartbookmark-plugin
parentxfce-extra/xfce4-smartbookmark-plugin: Prune old (diff)
downloadgentoo-e976b508cc3477e6a9be310dd2996b4bb9919804.tar.gz
gentoo-e976b508cc3477e6a9be310dd2996b4bb9919804.tar.bz2
gentoo-e976b508cc3477e6a9be310dd2996b4bb9919804.zip
xfce-extra/xfce4-smartbookmark-plugin: Bump to 0.4.99, the GTK+3 pre-release
Diffstat (limited to 'xfce-extra/xfce4-smartbookmark-plugin')
-rw-r--r--xfce-extra/xfce4-smartbookmark-plugin/Manifest1
-rw-r--r--xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.99.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-smartbookmark-plugin/Manifest b/xfce-extra/xfce4-smartbookmark-plugin/Manifest
index e276510800d..102ce41bd91 100644
--- a/xfce-extra/xfce4-smartbookmark-plugin/Manifest
+++ b/xfce-extra/xfce4-smartbookmark-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-smartbookmark-plugin-0.4.6.tar.bz2 280664 SHA256 3bed2b322cd39ce5845d6da07938c702260f3f1a9700b690ef377fba752ba24f SHA512 1d08b26761189d5e3b9d6a3e7f8a6bad8b73cc48ecf6d41c675bb13cc1074f48aca94e953b8d6cc97259c64c4f9f0aca9f0b0680fc4c6a9f01b13898175a5645 WHIRLPOOL 35adc639db061cb3158ad274cdfecfa0a8ad47399c8ee308086b12f4f6c4e6818522154e06217e75f56ee1e52abfb132c837aeba40b91f19aa4d49c5392eb69b
+DIST xfce4-smartbookmark-plugin-0.4.99.tar.bz2 293553 SHA256 5b833140aae4a0b7539b2446b535ad7fbbdaf4ba1cfcd8623956aa9c49047bea SHA512 a7dd7284ed9a3c80033dc6ad6ec971f9ab24aec6fbecfc9c55f8727e5d2bbe6859b0577ea3120d35f5c4cf88957e485fe61bd2af7c18ae2619e998638a94dc36 WHIRLPOOL d751f8838a766c12f2a47d3b83be3ecf0a236d70ee7249ed0fcc03480d68ab51f8e9c20dea785d9d38d4d1d4c93e78c97870ff1a46b59cdef4d578a75e3baf39
diff --git a/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.99.ebuild b/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.99.ebuild
new file mode 100644
index 00000000000..aaa03669eab
--- /dev/null
+++ b/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.99.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit xfconf
+
+DESCRIPTION="Smart bookmark plug-in for the Xfce desktop environment"
+HOMEPAGE="http://goodies.xfce.org/projects/panel-plugins/xfce4-smartbookmark-plugin"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+IUSE="debug"
+
+COMMON_DEPEND=">=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+ >=xfce-base/xfce4-panel-4.12:="
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+pkg_setup() {
+ XFCONF=(
+ $(xfconf_use_debug)
+ )
+
+ DOCS=( AUTHORS ChangeLog NEWS README )
+}
+src_prepare() {
+ # substitute default bugtracker
+ sed -i -e '/bugs/s:bugs\.debian:bugs.gentoo:' src/smartbookmark.c || die
+ xfconf_src_prepare
+}